Installation RBS Change : [Résolu] Le serveur n'a pu faire de requête vers lui même : assurez-vous que localhost soit accessible à votre serveur

  • 77096.1

    05/04/2013 09:08


    antoinepayen
    Rang : Membre
    Bonjour à tous,
    Nouveau venu à RBS Change, j'ai un problème à l'installation : "Le serveur n'a pu faire de requête vers lui même : assurez-vous que localhost soit accessible à votre serveur" sous Win7/WampServer. Le fichier Hosts contient bien la ligne "127.0.0.1 localhost", je ne vois donc pas ce qui ne va pas !
    Quelqu'un a-t-il une idée ?
    Merci de votre aide.
    Antoine.
  • 77096.2 en réponse à 77096.1 écrit par antoinepayen

    05/04/2013 09:48


    seb
    Rang : Expert
    Hello
    Quelle version d'apache as tu ?
    Si c'est Apache 2.4, je te suggère de mettre en place une version 2.2 que tu trouves sur le site de wampserver.
    De même dans ta config apache (httpd.conf), assures toi que le dossier qui contient change est accessible, exemple pour le dossier www :
    <Directory "c:/wamp/www/">
        Options Indexes FollowSymLinks
        AllowOverride all
        Order Deny,Allow
        Deny from all
        Allow from 127.0.0.1
    </Directory>


    Sinon, cf le message à cette adresse :
    http://www.rbschange.....windows8-77016.html
  • 77096.3 en réponse à 77096.2 écrit par seb

    05/04/2013 11:24


    Jean-Michel
    Titre : Community Manager
    Rang : Expert
    Dans certains cas j'ai pu voir que l'option MultiViews lorsque présente entraînait des problèmes, donc à surveiller que cette option ne figure sur la ligne "Options"

    Pour une meilleure réponse, pensez à indiquer la version sur laquelle vous rencontrez des difficultés, ainsi que son type (CMS ou eCommerce core).
    Pour tout problème d'installation indiquez le nom de l'hébergeur et s'il s'agit d'un serveur mutualisé ou dédié.
  • 77096.4 en réponse à 77096.3 écrit par Jean-Michel

    05/04/2013 19:18


    antoinepayen
    Rang : Membre
    Merci pour vos réponses, pour compléter mon précédent message, je précise que j'utilise Apache 2.2.22 et PHP 5.4.3. J'installe RBS eCommerce 3.6.4 sur Wampserver en local.
    Je vais vérifier les points que vous m'avez donnés et je reviens vers vous pour vous en donner les résultats...
    Antoine.

    Édité par antoinepayen 05/04/2013 19:30

  • 77096.5 en réponse à 77096.4 écrit par antoinepayen

    06/04/2013 00:11


    antoinepayen
    Rang : Membre
    J'ai donc appliqué les modifications dans httpd.conf et je suis effectivement arrivé au step 2 de l'install. Mais maintenant j'ai systématiquement le message :
    "Fatal error: Maximum execution time of 60 seconds exceeded in C:\wamp\www\install\lib\ConfigManager.class.php on line 586"
    J'ai augmenté les valeurs dans PHP.ini, également dans le fichier "C:\wamp\www\install\lib\changeHTTP.php", mais rien n'y fait.
    Où se trouve donc ce paramètre de limitation du temps d'exécution ?

    Merci de votre aide...
    Antoine.
  • 77096.6 en réponse à 77096.5 écrit par antoinepayen

    08/04/2013 09:52


    Jean-Michel
    Titre : Community Manager
    Rang : Expert
    Avez-vous redémarré le serveur Apache, afin que ces modifications soient bien prises en compte?

    Pour une meilleure réponse, pensez à indiquer la version sur laquelle vous rencontrez des difficultés, ainsi que son type (CMS ou eCommerce core).
    Pour tout problème d'installation indiquez le nom de l'hébergeur et s'il s'agit d'un serveur mutualisé ou dédié.
  • 77096.7 en réponse à 77096.6 écrit par Jean-Michel

    08/04/2013 10:03


    antoinepayen
    Rang : Membre
    Oui bien sûr, je redémarre le serveur à chaque modification de la config.
  • 77096.8 en réponse à 77096.7 écrit par antoinepayen

    09/04/2013 18:18


    Jean-Michel
    Titre : Community Manager
    Rang : Expert
    Bonjour,

    En regardant ce qui se trouve à la ligne indiquée, je serai tenté de dire que vous avez un problème lors de la connexion à la base de données.
    Est-ce que le serveur MySql est bien démarré et vos données de connexions correctes?

    Pour une meilleure réponse, pensez à indiquer la version sur laquelle vous rencontrez des difficultés, ainsi que son type (CMS ou eCommerce core).
    Pour tout problème d'installation indiquez le nom de l'hébergeur et s'il s'agit d'un serveur mutualisé ou dédié.
  • 77096.9 en réponse à 77096.2 écrit par seb

    11/04/2013 18:09


    pierroot
    Rang : Membre
    Bonjour,

    je viens pour découvrir la solution RBS Change et j'essaye donc de l'installer. Je le ne suis pas allé très loin. ;-(

    "Le serveur n'a pu faire de requête vers lui même : assurez-vous...."

    mon environnement :
    debian squeeze

    # dpkg -l | grep apache
    ii apache2-doc 2.2.16-6+squeeze11 Apache HTTP Server documentation
    ii apache2-mpm-prefork 2.2.9-10+lenny8 Apache HTTP Server - traditional non-threaded model
    ii apache2-utils 2.2.16-6+squeeze11 utility programs for webservers
    ii apache2.2-common 2.2.9-10+lenny8 Apache HTTP Server common files
    ii libapache2-mod-php5 5.3.3-7+squeeze15 server-side, HTML-embedded scripting language (Apache 2 module)
    # dpkg -l | grep php
    ii libapache2-mod-php5 5.3.3-7+squeeze15 server-side, HTML-embedded scripting language (Apache 2 module)
    rc libphp-adodb 5.05-1 The ADOdb database abstraction layer for PHP
    ii php-http-request 1.4.4-3 provides an easy way to perform HTTP requests
    ii php-mail 1.2.0-2 PHP PEAR module for sending email
    ii php-mail-mime 1.8.0-2 PHP PEAR module for creating MIME messages
    ii php-mail-mimedecode 1.5.0-3 PHP PEAR module to decode MIME messages
    ii php-net-dime 0.3-3 class that implements DIME encoding
    ii php-net-smtp 1.4.2-3 PHP PEAR module implementing SMTP protocol
    ii php-net-socket 1.0.9-2 PHP PEAR Network Socket Interface module
    ii php-net-url 1.0.15-2 easy parsing of Urls
    ii php-pear 5.3.3-7+squeeze15 PEAR - PHP Extension and Application Repository
    ii php-soap 0.12.0-2 a SOAP Client/Server class for PHP
    ii php5-cli 5.3.3-7+squeeze15 command-line interpreter for the php5 scripting language
    ii php5-common 5.3.3-7+squeeze15 Common files for packages built from the php5 source
    ii php5-curl 5.3.3-7+squeeze15 CURL module for php5
    ii php5-dev 5.3.3-7+squeeze15 Files for PHP5 module development
    ii php5-gd 5.3.3-7+squeeze15 GD module for php5
    ii php5-ldap 5.3.3-7+squeeze15 LDAP module for php5
    ii php5-mcrypt 5.3.3-7+squeeze15 MCrypt module for php5
    ii php5-memcache 3.0.4-4+squeeze1 memcache extension module for PHP5
    ii php5-mysql 5.3.3-7+squeeze15 MySQL module for php5
    ii php5-snmp 5.3.3-7+squeeze15 SNMP module for php5
    ii php5-suhosin 0.9.32.1-1 advanced protection module for php5
    ii php5-sybase 5.3.3-7+squeeze15 Sybase / MS SQL Server module for php5
    ii php5-xsl 5.3.3-7+squeeze15 XSL module for php5
    ii phpmyadmin 4:3.3.7-7 MySQL web administration tool


    J'ai modifié mon vhost apache comme indiqué dans votre Post :

    <Directory /var/www/>
    Options Indexes FollowSymLinks
    AllowOverride all
    Order Deny,Allow
    Allow from all
    </Directory>

    ... sauf le Allow que j'ai ouvert à "all"

    bien sûr j'ai une entrée dans le /etc/hosts qui permet au serveur de se résoudre localement:
    127.0.0.1 nomdeserveur.fr

    Je réalise plusieurs Tests

    TEST1&2 : je vérifie qu'à partir du serveur, il peut se connecter au port 80, puis télécharger une page

    telnet nomdeserveur.fr 80
    Test1 = OK

    wget nomdeserveur.fr
    Test2 = OK


    TEST 3 : je créé un fichier test.php à la racine de RBS Change, que j'appelle avec mon browser préféré.
    Ce script fait un curl vers le HTDocRoot du serveur apache (donc sur lui même) et var_dump le contenu.

    Test3 = OK


    Donc :
    Test OS = OK
    Test Apache =OK
    Test PHP=OK
    Test RBS Change=KO

    Une idée qui me permettrait d'avancer sur d'autre pistes ?

    Merci
    Pierre
  • 77096.10 en réponse à 77096.9 écrit par pierroot

    11/04/2013 18:42


    pierroot
    Rang : Membre
    j'ai trouvé la solution à mon problème.

    RBS Change n'est pas installé à la racine du vhost et donc les requêtes qu'il essayait de faire en GET /install/... tombaient toutes en 404

    donc création d'un vhost particulier et ca fonctionne maintenant
  • 77096.11

    16/04/2013 19:43


    antoinepayen
    Rang : Membre
    Idem pour moi, j'ai réussi à passer toutes les phases d'install. Le problème est ailleurs maintenant, je vais ouvrir un autre fil...
    Antoine.
 
Merci de prendre connaissance et de respecter les règles des forums.
 
1384 membres
Aucun membre connecté